package com.steerinfo.ftp.securitytype.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ftp.securitytype.model.SecurityType;
import com.steerinfo.ftp.securitytype.mapper.SecurityTypeMapper;
import com.steerinfo.ftp.securitytype.service.ISecurityTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * SecurityType服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-07-27 04:21
 * 类描述
 * 修订历史：
 * 日期：2021-07-27
 * 作者：generator
 * 参考：
 * 描述：SecurityType服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "securityTypeService")
public class SecurityTypeServiceImpl extends BaseServiceImpl<SecurityType, String> implements ISecurityTypeService {

    @Autowired
    private SecurityTypeMapper securityTypeMapper;

    @Override
    protected IBaseMapper<SecurityType, String> getMapper() {
        return securityTypeMapper;
    }
}
